Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class XMLWriterUtilities

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.XMLWriterUtilities

public class XMLWriterUtilities
extends java.lang.Object

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLWriterUtilities()`

Method Summary
`static void` | `putXMLNode(java.io.BufferedWriter writer, int indent, org.w3c.dom.Node node)` Serializes (write to storage) an XML node and its descendents.
`static void` | `saveElement(java.io.BufferedWriter writer, int indent, java.lang.String name, boolean bEnd)`
`static void` | `saveElement(java.io.BufferedWriter writer, int indent, java.lang.String name, java.lang.String value)`
`static void` | `saveElement(java.io.BufferedWriter writer, int indent, java.lang.String name, java.lang.String[][] attributes, boolean bEnd)`
`static void` | `saveElement(java.io.BufferedWriter writer, int indent, java.lang.String name, java.lang.String[][] attributes, java.lang.String value)`
`static void` | `saveIndent(java.io.BufferedWriter writer, int indent)`
`static void` | `serializeXML(org.w3c.dom.Document document, java.io.BufferedWriter writer)`
`static void` | `serializeXML(org.w3c.dom.Document document, java.io.BufferedWriter writer, java.lang.String encoding)`
`static java.lang.StringBuffer` | `translateXMLString(java.lang.String value)`
`static java.lang.String` | `XMLtoString(org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLWriterUtilities

    public XMLWriterUtilities()

Method Detail

### translateXMLString

    public static java.lang.StringBuffer translateXMLString(java.lang.String value)

  Parameters:
    `value` -
  Returns:

### saveIndent

    public static void saveIndent(java.io.BufferedWriter writer,
                                  int indent)
                           throws java.io.IOException

  Parameters:
    `writer` -
    `indent` -
  Throws:
    java.io.IOException -

### saveElement

    public static void saveElement(java.io.BufferedWriter writer,
                                   int indent,
                                   java.lang.String name,
                                   java.lang.String value)
                            throws java.io.IOException

  Parameters:
    `writer` -
    `indent` -
    `name` -
    `value` -
  Throws:
    java.io.IOException -

### saveElement

    public static void saveElement(java.io.BufferedWriter writer,
                                   int indent,
                                   java.lang.String name,
                                   java.lang.String[][] attributes,
                                   java.lang.String value)
                            throws java.io.IOException

  Parameters:
    `writer` -
    `indent` -
    `name` -
    `attributes` -
    `value` -
  Throws:
    java.io.IOException -

### saveElement

    public static void saveElement(java.io.BufferedWriter writer,
                                   int indent,
                                   java.lang.String name,
                                   boolean bEnd)
                            throws java.io.IOException

  Parameters:
    `writer` -
    `indent` -
    `name` -
    `bEnd` -
  Throws:
    java.io.IOException -

### saveElement

    public static void saveElement(java.io.BufferedWriter writer,
                                   int indent,
                                   java.lang.String name,
                                   java.lang.String[][] attributes,
                                   boolean bEnd)
                            throws java.io.IOException

  Parameters:
    `writer` -
    `indent` -
    `name` -
    `attributes` -
    `bEnd` -
  Throws:
    java.io.IOException -

### putXMLNode

    public static void putXMLNode(java.io.BufferedWriter writer,
                                  int indent,
                                  org.w3c.dom.Node node)
                           throws java.io.IOException

  Serializes (write to storage) an XML node and its descendents.

  Parameters:
    `writer` - The stream to write the serialized representation of an XML element and its descendents.
    `indent` - The number of spaces to indent XML elements.
    `node` - A node to serialize, along with its attributes, and its descendents.
  Throws:
    java.io.IOException -

### XMLtoString

    public static java.lang.String XMLtoString(org.w3c.dom.Document document)
                                        throws java.io.IOException

  Parameters:
    `document` -
  Returns:
  Throws:
    java.io.IOException -

### serializeXML

    public static void serializeXML(org.w3c.dom.Document document,
                                    java.io.BufferedWriter writer)
                             throws java.io.IOException

  Parameters:
    `document` -
    `writer` -
  Throws:
    java.io.IOException -

### serializeXML

    public static void serializeXML(org.w3c.dom.Document document,
                                    java.io.BufferedWriter writer,
                                    java.lang.String encoding)
                             throws java.io.IOException

  Parameters:
    `document` -
    `writer` -
  Throws:
    java.io.IOException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)